Docs

Get Cost

GET /Fulfillment/cost

GET/Fulfillment/cost

Returns the fulfilled cost for the whole event and broken down by order, resource need, fulfillment item and reservation, with the basis used for each order and reservation. Figures are calculated on each call.

Response

FieldTypeDescription
eventFulfillednumber
ordersGetFulfillmentCostResponseOrderCost[]| null
procurementResourcesGetFulfillmentCostResponseProcurementResourceCost[]| null
itemsGetFulfillmentCostResponseItemCost[]| null
reservationsGetFulfillmentCostResponseReservationCost[]| null

GetFulfillmentCostResponseOrderCost

FieldTypeDescription
orderIduuid
orderNamestring| null
sourcestring| null
fulfillednumber
basisstring| null

GetFulfillmentCostResponseProcurementResourceCost

FieldTypeDescription
procurementResourceIduuid
fulfillednumber

GetFulfillmentCostResponseItemCost

FieldTypeDescription
fulfillmentIduuid
itemIduuid
fulfillednumber
quantitynumber
costQuantitynumber

GetFulfillmentCostResponseReservationCost

FieldTypeDescription
reservationIduuid
itemIduuid| null
fulfillednumber
basisstring| null
statusstring| null
isReplacedboolean